[data-component-id="kackaamin:stepper"] {
  position: relative;
  --scroll-factor: 2;
  height: calc(var(--total-steps) * var(--scroll-factor) * 100dvh);
  container-type: inline-size;

  & .field--name-field-links {
    display: flex;
    gap: 24px;
  }

  & .scroll-track {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    z-index: 1;
  }

  & .scroll-trigger {
    height: calc(var(--scroll-factor) * 100dvh);
  }

  & .sticky-panel {
    display: grid;
    grid-template-columns: 40px 1fr;
    grid-template-rows: auto 1fr;
    gap: 20px;

    position: sticky;
    top: 0;
    min-height: 100dvh;
    max-height: 100dvh;
    overflow: scroll;
    padding: 32px 0;
    z-index: 10;

    & .video-steps {
      grid-column: span 3;
      display: grid;
      height: fit-content;

      & .video-steps__item {
        height: fit-content;
      }
    }

    & .number-steps {
      display: flex;
      flex-direction: column;
      align-items: center;
      gap: 8px;

      & button {
        background-color: var(--color-mist);
        border: 1px solid var(--bg-tertiary);
        color: var(--text-alternative);
        font-size: 18px;
        font-weight: 600;
        opacity: 0.3;
        flex-grow: 0;
        flex-shrink: 0;

        &.is-active {
          background-color: var(--action-primary);
          opacity: 1;
          border: none;
        }
      }

      & .number-steps__divider {
        flex: 0 0 24px;
        width: 3px;
        background-color: var(--bg-tertiary);
        opacity: 30%;

        &:last-of-type {
          flex: 1 1 auto;
        }
      }
      & .btn--icon-sm {
        width: 32px;
        height: 32px;
      }
    }

    & .content-steps__item {
      padding-top: 12px;
      padding-bottom: 48px;

      & h4 {
        margin-bottom: 16px;
        color: var(--link-primary);
      }

      & h6 {
        margin-bottom: 32px;
      }
    }

    @container main (min-width: 768px) {
      grid-template-columns: 1fr 90px 1fr;
      grid-template-rows: unset;
      padding: 48px 0;
      overflow: clip;
      & .btn--icon-sm {
        width: 40px;
        height: 40px;
      }      
      & .content-steps__item {
        padding-top: 24px;
      }  
      & .video-steps {
        grid-column: unset;
      }
    }
  }
}
